Setting up Training Environment for Mastering Plone Development fails with vagrant errors

I'm attempting to follow along this page:

https://training.plone.org/5/plone_training_config/instructions.html#installing-plone-with-vagrant

Which is the basic first "setting up the environment for the training" step of the "Mastering Plone Development" path. Unfortunately, at the step where you run, "vagrant up", it fails (details below). The documentation on that page basically tells you to just keep trying it by issuing "vagrant provision" until it works, but that just produces the same error for me. Also, the documentation mentions a specific error that could be caused by virtualization being disabled in your BIOS, but this isn't that error.

The error produced is here (it's quite lengthy -- I apologize):

(Note: Each line was prepended with "==> default: Notice: /Stage[main]/Plone/Exec[/home/vagrant/py37/bin/buildout -c vagrant_provisioning.cfg]/returns:" -- I've edited those out to make it easier to read.)

mr.developer: Queued 'ploneconf.site' for checkout.
mr.developer: Updated 'ploneconf.site' with git.
mr.developer: Switching to branch 'master'.
Develop: '/vagrant/buildout/src/ploneconf.site'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
Unexpected entry, 'tmph7jukbzubuild', in develop-eggs directory.
While:
Installing.
Processing develop directory '/vagrant/buildout/src/ploneconf.site'.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/buildout.py", line 922, in _develop
zc.buildout.easy_install.develop(setup, dest)
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 1106, in develop
[f() for f in undo]
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 1106, in
[f() for f in undo]
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 1087, in
undo.append(lambda : zc.buildout.rmtree.rmtree(tmp3))
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/rmtree.py", line 71, in rmtree
shutil.rmtree (path, onerror = retry_writeable)
File "/usr/lib/python3.7/shutil.py", line 498, in rmtree
onerror(os.rmdir, path, sys.exc_info())
File "/usr/lib/python3.7/shutil.py", line 496, in rmtree
os.rmdir(path)
OSError: [Errno 26] Text file busy: '/vagrant/buildout/develop-eggs/tmph7jukbzubuild'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/buildout.py", line 2174, in main
getattr(buildout, command)(args)
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/buildout.py", line 679, in install
installed_develop_eggs = self._develop()
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/buildout.py", line 929, in _develop
for f in os.listdir(dest)
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/buildout.py", line 992, in _uninstall
rmtree(f)
File "/home/vagrant/py37/lib/python3.7/site-packages/zc/buildout/rmtree.py", line 71, in rmtree
shutil.rmtree (path, onerror = retry_writeable)
File "/usr/lib/python3.7/shutil.py", line 498, in rmtree
onerror(os.rmdir, path, sys.exc_info())
File "/usr/lib/python3.7/shutil.py", line 496, in rmtree
os.rmdir(path)
OSError: [Errno 26] Text file busy: '/vagrant/buildout/develop-eggs/tmph7jukbzubuild'
==> default: Error: '/home/vagrant/py37/bin/buildout -c vagrant_provisioning.cfg' returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Plone/Exec[/home/vagrant/py37/bin/buildout -c vagrant_provisioning.cfg]/returns: change from 'notrun' to ['0'] failed: '/home/vagrant/py37/bin/buildout -c vagrant_provisioning.cfg' returned 1 instead of one of [0]
==> default: Notice: Applied catalog in 4.10 seconds

Oddly, if I re-run "vagrant provision", the file that it's annoyed about changes, but the errors are otherwise identical. On this run, for example, the error sequence began with: "Unexpected entry, 'tmp_apcc6ovbuild', in develop-eggs directory."

Any ideas about how to work around this?

That is indeed odd. Which versions of Vagrant and VirtualBox are you running, and on which host OS?

VirtualBox 6.1.2, Vagrant 2.2.7, and Windows 10 Pro for Workstations. I just noticed in listing these versions that while the training does instruct you to use the latest version of Vagrant at the provided link, it says that VirtualBox 6.0.x is used. I'll try it again now with the latest 6.0.16. [elevator music plays]

Unfortunately, with VirtualBox 6.0.16, Vagrant 2.2.7, and still on the Windows 10 Pro for Workstations host, it fails at the same point with the same error (but a new randomly-generated path, as noted above -- "/vagrant/buildout/develop-eggs/tmp2nb39ox4build" this time).

Plone Foundation Code of Conduct